Debian Bug report logs - #581277
gnuradio: FTBFS: spectrumdisplayform_moc.cc:14:2: error: #error "This file was generated using the moc from 4.5.0. It"

version graph

Package: gnuradio; Maintainer for gnuradio is A. Maitland Bottoms <bottoms@debian.org>; Source for gnuradio is src:gnuradio.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 May 2010 08:06:28 UTC

Severity: serious

Tags: patch, sid, squeeze, wheezy

Merged with 573759

Found in version gnuradio/3.2.2.dfsg-1

Fixed in version gnuradio/3.2.2.dfsg-1.1

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#581277; Package src:gnuradio. (Wed, 12 May 2010 08:06:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. (Wed, 12 May 2010 08:06:31 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gnuradio: FTBFS: spectrumdisplayform_moc.cc:14:2: error: #error "This file was generated using the moc from 4.5.0. It"
Date: Wed, 12 May 2010 09:48:42 +0200
Source: gnuradio
Version: 3.2.2.dfsg-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100511 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> /bin/bash ../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../..  -DOMNITHREAD_POSIX=1 -I/usr/include -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/omnithread -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/runtime -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/general -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/general -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/gengen -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/gengen -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/filter -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/filter -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/missing -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/reed-solomon -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/viterbi -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/io -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/g72x -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/swig -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/hier -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/swig   -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gruel/src/include -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gruel/src/include -I/usr/include/python2.5 -I/usr/include/qwt-qt4  -I/usr/include/qwtplot3d-qt4 -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore   -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore   -I.   -Wall -Woverloaded-virtual -g -O2 -pthread -MT spectrumdisplayform_moc.lo -MD -MP -MF .deps/spectrumdisplayform_moc.Tpo -c -o spectrumdisplayform_moc.lo spectrumdisplayform_moc.cc
> libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../.. -DOMNITHREAD_POSIX=1 -I/usr/include -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/omnithread -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/runtime -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/general -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/general -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/gengen -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/gengen -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/filter -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/filter -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/missing -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/reed-solomon -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/viterbi -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/io -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/g72x -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/swig -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/hier -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gnuradio-core/src/lib/swig -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gruel/src/include -I/build/user-gnuradio_3.2.2.dfsg-1-amd64-mkAC9q/gnuradio-3.2.2.dfsg/gruel/src/include -I/usr/include/python2.5 -I/usr/include/qwt-qt4 -I/usr/include/qwtplot3d-qt4 -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I. -Wall -Woverloaded-virtual -g -O2 -pthread -MT spectrumdisplayform_moc.lo -MD -MP -MF .deps/spectrumdisplayform_moc.Tpo -c spectrumdisplayform_moc.cc  -fPIC -DPIC -o .libs/spectrumdisplayform_moc.o
> spectrumdisplayform_moc.cc:14:2: error: #error "This file was generated using the moc from 4.5.0. It"
> spectrumdisplayform_moc.cc:15:2: error: #error "cannot be used with the include files from this version of Qt."
> spectrumdisplayform_moc.cc:16:2: error: #error "(The moc has changed too much.)"
> In file included from ./FrequencyDisplayPlot.h:11,
>                  from spectrumdisplayform_ui.h:13,
>                  from spectrumdisplayform.h:4,
>                  from spectrumdisplayform_moc.cc:10:
> /usr/include/qwt-qt4/qwt_plot_picker.h:106: warning: 'virtual void QwtPlotPicker::move(const QPoint&)' was hidden
> /usr/include/qwt-qt4/qwt_plot_zoomer.h:88: warning:   by 'virtual void QwtPlotZoomer::move(double, double)'
> In file included from ./Waterfall3DDisplayPlot.h:7,
>                  from spectrumdisplayform_ui.h:30,
>                  from spectrumdisplayform.h:4,
>                  from spectrumdisplayform_moc.cc:10:
> /usr/include/qwtplot3d-qt4/qwt3d_function.h:30: warning: 'virtual bool Qwt3D::Function::create(Qwt3D::SurfacePlot&)' was hidden
> ./waterfallGlobalData.h:56: warning:   by 'virtual bool Waterfall3DData::create()'
> In file included from /usr/include/qwtplot3d-qt4/qwt3d_colorlegend.h:7,
>                  from /usr/include/qwtplot3d-qt4/qwt3d_coordsys.h:5,
>                  from /usr/include/qwtplot3d-qt4/qwt3d_plot.h:4,
>                  from /usr/include/qwtplot3d-qt4/qwt3d_surfaceplot.h:4,
>                  from ./Waterfall3DDisplayPlot.h:8,
>                  from spectrumdisplayform_ui.h:30,
>                  from spectrumdisplayform.h:4,
>                  from spectrumdisplayform_moc.cc:10:
> /usr/include/qwtplot3d-qt4/qwt3d_color.h:22: warning: 'virtual Qwt3D::RGBA Qwt3D::Color::operator()(const Qwt3D::Triple&) const' was hidden
> /usr/include/qwtplot3d-qt4/qwt3d_color.h:44: warning:   by 'virtual Qwt3D::RGBA Qwt3D::StandardColor::operator()(double, double, double) const'
> In file included from spectrumdisplayform_ui.h:30,
>                  from spectrumdisplayform.h:4,
>                  from spectrumdisplayform_moc.cc:10:
> /usr/include/qwtplot3d-qt4/qwt3d_color.h:22: warning: 'virtual Qwt3D::RGBA Qwt3D::Color::operator()(const Qwt3D::Triple&) const' was hidden
> ./Waterfall3DDisplayPlot.h:18: warning:   by 'virtual Qwt3D::RGBA Waterfall3DColorMap::operator()(double, double, double) const'
> make[6]: *** [spectrumdisplayform_moc.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/05/11/gnuradio_3.2.2.dfsg-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) pending. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Wed, 12 May 2010 16:12:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:gnuradio' to 'gnuradio'. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Wed, 12 May 2010 17:15:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnuradio/3.2.2.dfsg-1. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Wed, 12 May 2010 17:15:09 GMT) Full text and rfc822 format available.

Merged 573759 581277. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Wed, 12 May 2010 17:15:10 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:54 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jan 2012 07:38:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:30:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.